Bug 210773 - www/mod_spdy: IGNORE with LibreSSL
Summary: www/mod_spdy: IGNORE with LibreSSL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-07-03 11:15 UTC by Bernard Spil
Modified: 2017-01-28 22:29 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (masaki)


Attachments
svn diff for www/mod_spdy (885 bytes, patch)
2016-07-03 11:15 UTC, Bernard Spil
no flags Details | Diff
svn diff for www/mod_spdy (1.15 KB, patch)
2016-07-03 11:18 UTC, Bernard Spil
vlad-fbsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2016-07-03 11:15:52 UTC
Created attachment 172053 [details]
svn diff for www/mod_spdy

mod_spdy is incompatible with LibreSSL as it requires NPN whereas LibreSSL only supports ALPN.

The original web-page returns a 404.

Looking at the statement we should actually delete this port and point people to Apache 2.4 which has mod_http2 as of 2.4.18.

```
www/mod_spdy: IGNORE with LibreSSL

  - IGNORE when built with security/libressl(-devel)
  - Move from USE_OPENSSL to USES= ssl
  - Update WWW

PR: 
Approved by:
```
Comment 1 Bernard Spil freebsd_committer 2016-07-03 11:17:17 UTC
"The statement" on the Google project page

> mod_spdy has been formally donated to the Apache Software Foundation and is now 
> a part of the Apache HTTPD codebase. For latest status of SPDY support 
> Apache, please consult the approriate HTTPD documentation.
Comment 2 Bernard Spil freebsd_committer 2016-07-03 11:18:41 UTC
Created attachment 172055 [details]
svn diff for www/mod_spdy

USE_OPENSSL -> USES= ssl
Comment 3 VK freebsd_triage 2016-11-13 00:13:56 UTC
Comment on attachment 172055 [details]
svn diff for www/mod_spdy

Maintainer TIMEOUT, implicit approval.

BTW, how useful is this mod? SPDY has been deprecated in favor of HTTP/2.0, no?
Comment 4 VK freebsd_triage 2016-11-13 00:14:39 UTC
Bernard, wanna take this?
Comment 5 commit-hook freebsd_committer 2016-11-27 10:21:39 UTC
A commit references this bug:

Author: brnrd
Date: Sun Nov 27 10:21:34 UTC 2016
New revision: 427216
URL: https://svnweb.freebsd.org/changeset/ports/427216

Log:
  www/mod_spdy: IGNORE with LibreSSL

    - IGNORE when built with security/libressl(-devel)
    - Move from USE_OPENSSL to USES= ssl
    - Update WWW

  PR:		210773
  Approved by:	maintainer timeout

Changes:
  head/www/mod_spdy/Makefile
  head/www/mod_spdy/pkg-descr
Comment 6 Tilman Keskinoz freebsd_committer 2017-01-28 22:29:39 UTC
committed by submitter yesterday